enum DocumentStatus {
  UPLOADED
  PENDING
  EXPIRING
  MISSING
  VERIFIED
}

type StaffDocument @table(name: "staff_documents", key: ["staffId", "documentId"]) {
  id: UUID! @default(expr: "uuidV4()")
  staffId: UUID!
  staffName: String!
  documentId: UUID!
  document: Document! @ref(fields: "documentId", references: "id")
  status: DocumentStatus!
  documentUrl: String
  expiryDate: Timestamp
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
